This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258405 - Review Request: python-colorclass - Yet another ANSI color text library for Python
Review Request: python-colorclass - Yet another ANSI color text library for P...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 05:57 EDT by René Ribaud
Modified: 2015-10-31 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 02:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description René Ribaud 2015-08-31 05:57:07 EDT
Spec URL: http://uggla.free.fr/rpmbuild/SPECS/python-colorclass.spec
SRPM URL: uggla.free.fr/rpmbuild/SRPMS/python-colorclass-1.2.0-1.fc22.src.rpm
Description: 
Colorful worry-free console applications for Linux, Mac OS X, and Windows.
Yet another ANSI color text library for Python. Provides “auto colors” for
dark/light terminals. Works on Linux, OS X, and Windows.
Fedora Account System Username: uggla
Comment 1 Julien Enselme 2015-09-05 12:34:23 EDT
Hi,

the link to the SRPM doesn't contain http://. That prevents fedora-review to find and download it. Can you please repost the link?
Comment 2 René Ribaud 2015-09-06 13:32:22 EDT
Hello,

I apologize, I did a copy/paste into Firefox to verify the link but didn't noticed the pitfall as FF appended the http part...

Anyway,

Here is the correct link :
SRPM URL: http://uggla.free.fr/rpmbuild/SRPMS/python-colorclass-1.2.0-1.fc22.src.rpm
Comment 3 Julien Enselme 2015-09-07 13:29:20 EDT
- Remove upstream's egg-info
- Please fetch the license here and add it as a source: https://raw.githubusercontent.com/Robpol86/colorclass/master/LICENSE

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /tmp/1258405-python-
     colorclass/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-pytest, python3-pytest-pep8,
     python3-path, python3-virtualenv, python3-decorator, python3-six,
     python3-libs, python3-feedparser, python3-pytest-cov,
     python3-setuptools, python3-pytest-cache)
     
     Not blocking but you could use %{python3_sitelib}/__pycache__/colorclass.*
     and %{python3_sitelib}/colorclass* in %files to avoid that.
     
[X]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.

    Please use the good version (1.2.0 and not 1.0.0) and add the release. The 
    first line should be: `* Mon Aug 31 2015 René Ribaud <rene.ribaud@free.fr> - 1.2.0-1`

[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-colorclass , python3-colorclass
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
    
    You should add `py.test-%{python2-version} --cov-report term-missing --cov colorclass tests` and
    `py.test-%{python3-version} --cov-report term-missing --cov colorclass tests` in
    %check and add python-pytest and python3-pytest as BR.

[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-colorclass-1.2.0-1.fc24.noarch.rpm
          python3-colorclass-1.2.0-1.fc24.noarch.rpm
          python-colorclass-1.2.0-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-colorclass (rpmlib, GLIBC filtered):
    python(abi)

python3-colorclass (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-colorclass:
    python-colorclass
    python2-colorclass

python3-colorclass:
    python3-colorclass



Source checksums
----------------
http://pypi.python.org/packages/source/c/colorclass/colorclass-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2fb10c87aa2a242d8a8467136d68a3e266a5b7b545bc88bd1585e663c87ef584
  CHECKSUM(SHA256) upstream package : 2fb10c87aa2a242d8a8467136d68a3e266a5b7b545bc88bd1585e663c87ef584


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1258405
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 René Ribaud 2015-09-09 10:21:11 EDT
Hello Julien,

Thanks for reviewing my previous package.

I have updated a new package (same location) with almost all the fixed mentioned implemented.
If you could have a new look that will be great.

The exception is the test part.
I tried to investigate and implement your suggestion :
  
    "You should add `py.test-%{python2-version} --cov-report term-missing --cov colorclass tests` and `py.test-%{python3-version} --cov-report term-missing --cov colorclass tests` in %check and add python-pytest and python3-pytest as BR."


FYI, here are some little corrections needed to implement it  : 
%{python2-version} is %{python2_version}
%{python3-version} is %{python3_version}

Buildrequires are :
Python2 :
pytest (don't know why this module does not follow naming rules)
python-pytest-cov (Pytest plugin for coverage reporting)

Python3 : 
python3-pytest
python3-pytest (Pytest plugin for coverage reporting)


However the colorclass package has no unitary test.
So I finally decided to keed the %check part empty.
If you think this is not the correct approach please let me know.

Best regards.
René
Comment 5 Julien Enselme 2015-09-10 16:28:55 EDT
- You should use the license (fetching it is just the fist step). Add `%license %{SOURCE1}` to all packages
- Your changelog is not correct: you have two entries with the same version (1.2.0-1). Each time you add an entry, you must increase the Release version number and use it in the changelog. This number can only be one again if the version of the software changes. I also suggest that you put an empty line between each entry for readability.

> However the colorclass package has no unitary test.

It's a should item so it is not a big deal if you cannot launch them.
Comment 6 René Ribaud 2015-09-12 12:50:29 EDT
Hello Julien,

> - You should use the license (fetching it is just the fist step). Add `%license %{SOURCE1}` to all packages

Doing that is not working, %{SOURCE1} is expanded to the full path and then rpmbuild does not find it.

RPM build errors:
    File not found: /home/uggla/rpmbuild/BUILDROOT/python-colorclass-1.2.0-1.fc22.x86_64/home/uggla/rpmbuild/SOURCES/LICENSE


So I have copied the LICENSE file in the %prep state and incorporated it into the %file section using %license statement.
I think this is the expected behavior from package perspective.

>Your changelog is not correct

Changelog corrected. Strange that rpmlint did not find this kind of pitfall.
Anyway that should be good now.
Comment 7 Julien Enselme 2015-09-12 12:54:48 EDT
> Doing that is not working, %{SOURCE1} is expanded to the full path and then rpmbuild does not find it.

That's possible. Now that I think about it, I have always copied the source in %prep too.


Looks good. Approved!
Comment 8 René Ribaud 2015-09-13 07:16:15 EDT
New Package SCM Request
=======================
Package Name: python-colorclass
Short Description: Yet another ANSI color text library for Python
Upstream URL: http://pypi.python.org/pypi/colorclass
Owners: uggla
Branches: f22 f23 epel7
InitialCC:
Comment 9 Gwyn Ciesla 2015-09-13 13:05:46 EDT
uggla is not a member of the Packager group.
Comment 10 René Ribaud 2015-09-13 14:40:07 EDT
Hello,

Can someone give me some inputs to correct that.
My account name "uggla" is correct.
It is not possible for me to join the Packager group on the fedora account web site.

I didn't use my account for a long time. So that could be the issue ?
Comment 11 Julien Enselme 2015-09-14 17:10:34 EDT
I don't know. I suggest that you ask on the packaging list (packaging@lists.fedoraproject.org). I think that whoever can answer that is on this list.
Comment 12 René Ribaud 2015-09-17 05:16:58 EDT
Hello Julien,

Seems my account issue is fixed.
I would like to submit again the scm step.

However you changed Flags: fedora-review+ → fedora-review?.
I guess this is for a new review ?

So now I think the ticket is not in a good state, to go ahead with the cvs part.
Please tell me if I'm wrong ?
If it is the case can you changed back to fedora-review+ ?

Best regards.
René
Comment 13 Julien Enselme 2015-09-17 05:25:57 EDT
I followed the discussion on the packaging list. I changed the flag in case a sponsor had to do the review. I changed back the flag to approved.

According to the thread, everything should be fine, but you are not listed as a packager on https://admin.fedoraproject.org/pkgdb/packager/uggla/ yet.

I suggest that you wait a few more hours just to be sure before resending the SCM request.

Regards,
Comment 14 René Ribaud 2015-09-17 07:46:18 EDT
Hello Julien,

Thanks.
OK I will make the request this evening or tomorrow morning.
Hoping it will be fine this time.
Comment 15 René Ribaud 2015-09-18 05:10:53 EDT
New Package SCM Request
=======================
Package Name: python-colorclass
Short Description: Yet another ANSI color text library for Python
Upstream URL: http://pypi.python.org/pypi/colorclass
Owners: uggla
Branches: f22 f23 epel7
InitialCC:

This is a new attempt hoping it will work this time. (full story above)
My account seems ok. However I not listed in https://admin.fedoraproject.org/pkgdb/packager/uggla, but that could be normal as I have no packages at the moment ?
Comment 16 René Ribaud 2015-10-01 03:32:51 EDT
Correct cvs flag.
Comment 17 Gwyn Ciesla 2015-10-01 08:55:58 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2015-10-01 17:25:52 EDT
python-colorclass-1.2.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-729cd1563b
Comment 19 Fedora Update System 2015-10-01 17:37:59 EDT
python-colorclass-1.2.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-590436ae93
Comment 20 Upstream Release Monitoring 2015-10-03 20:15:30 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324994
Comment 21 Upstream Release Monitoring 2015-10-03 20:16:33 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11324998
Comment 22 Upstream Release Monitoring 2015-10-03 20:24:26 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f21 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325006
Comment 23 Upstream Release Monitoring 2015-10-03 20:25:04 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325010
Comment 24 Upstream Release Monitoring 2015-10-03 20:28:24 EDT
awd123's scratch build of color-0.0.8-1.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11325018
Comment 25 Fedora Update System 2015-10-03 21:36:44 EDT
python-colorclass-1.2.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-colorclass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-590436ae93
Comment 26 Fedora Update System 2015-10-03 21:52:48 EDT
python-colorclass-1.2.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-colorclass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-729cd1563b
Comment 27 Fedora Update System 2015-10-14 02:56:34 EDT
python-colorclass-1.2.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-10-31 22:47:28 EDT
python-colorclass-1.2.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.